<?php

namespace App\Enums;

enum RelationshipType: string
{
    case ADULT_CHILD = 'Adult Child';
    case AUNT = 'Aunt';
    case SO_OF_PARENT = 'Boy/Girlfriend of Parent';
    case CAREGIVER = 'Caregiver';
    case CHILD = 'Child';
    case FATHER = 'Father';
    case FOSTER_FATHER = 'Foster Father';
    case FOSTER_MOTHER = 'Foster Mother';
    case FOSTER_SIBLING = 'Foster Sibling';
    case GRANDFATHER = 'Grandfather';
    case GRANDMOTHER = 'Grandmother';
    case HALF_SIBLING = 'Half Sibling';
    case HOMESTUDY_PREPARATION = 'Homestudy Preparation';
    case MOTHER = 'Mother';
    case OTHER_RELATIVE = 'Other Relative';
    case PARENT_PARAMOUR = 'Parent Paramour';
    case SIBLING = 'Sibling';
    case STEP_SIBLING = 'Step Sibling';
    case STEP_FATHER = 'Stepfather';
    case STEP_MOTHER = 'Stepmother';
    case UNCLE = 'Uncle';
}
